Skip to content
Browse files

Travis is not liking to gemsets in a build. Trying to use development…

… dependency in the gem.
  • Loading branch information...
1 parent 3a103ee commit 3732a0ab9f5d8d6f209d9eb96a351ad6ddae9976 @shageman committed
Showing with 8 additions and 7 deletions.
  1. +5 −5 Gemfile
  2. +2 −2 build_on_travis.sh
  3. +1 −0 engines/teaser/teaser.gemspec
View
10 Gemfile
@@ -1,11 +1,11 @@
-source 'https://rubygems.org'
+source "https://rubygems.org"
-gem 'rails'
+gem "rails"
gem "teaser", path: "engines/teaser"
group :test, :development do
- gem 'rspec-rails'
- gem 'capybara'
- gem 'sqlite3'
+ gem "rspec-rails"
+ gem "capybara"
+ gem "sqlite3"
end
View
4 build_on_travis.sh
@@ -1,11 +1,11 @@
echo "*** Running container app specs"
-bundle exec rake
+bundle exec rake db:migrate db:test:prepare rspec
result=$?
echo "*** Running teaser engine specs"
cd engines/teaser
bundle install
-bundle exec rake
+bundle exec rake db:migrate app:db:test:prepare rspec
result+=$?
exit $result
View
1 engines/teaser/teaser.gemspec
@@ -21,4 +21,5 @@ Gem::Specification.new do |s|
s.add_dependency "sass-rails"
s.add_development_dependency "sqlite3"
+ s.add_development_dependency "jquery-rails"
end

0 comments on commit 3732a0a

Please sign in to comment.
Something went wrong with that request. Please try again.